Subject: RE: bug#12065: 24.1; `custom-magic-show': set to "no", cannot get back again

From: Drew Adams <[email-masked]>
Date: Fri, 5 Aug 2016 18:42:08 -0700 (PDT)

> > The point of this bug is that using the Value menu is a one-way
> > street, exceptionally, in the case of this one option.  That's
> > not normal - why should this option be an exception to how
> > Emacs Customize works?  And if you change the value to short
> > or long there is no such problem.
> 
> I thought maybe the point of that option is to hide the button.

The doc talks about the "textual description of the state."
And `long' and `short' have the effect of providing a long
and short description of the current state - to the right of
the State button.

The doc says nothing about what a `no' (`nil') value means.
But by analogy with the effects of `long' and `short', and by
interpretation of "textual description of the state" as being
the text to the right of the button, which describes the
current state, presumably `no' (`nil') would mean no textual
description of the current state.

That has nothing to do with no State button (which does not
describe the current  state but instead lets you perform 
various Customize actions, including change the state.

> It's easy enough to exclude the button from hiding, just
> move that code outside of the conditional

I have nothing to say about how to fix the bug.  I only
reported the problem.